### Hierarchy

- DOMMatrixReadOnly
  - DOMMatrix

## Index

### Properties

- DOMMatrixReadOnly
- a
- b
- c
- d
- e
- f
- is2D
- isIdentity
- m11
- m12
- m13
- m14
- m21
- m22
- m23
- m24
- m31
- m32
- m33
- m34
- m41
- m42
- m43
- m44

### Methods

- flipX
- flipY
- inverse
- invertSelf
- multiply
- multiplySelf
- preMultiplySelf
- rotate
- rotateAxisAngle
- rotateAxisAngleSelf
- rotateFromVector
- rotateFromVectorSelf
- rotateSelf
- scale
- scale3d
- scale3dSelf
- scaleSelf
- setMatrixValue
- skewX
- skewXSelf
- skewY
- skewYSelf
- toFloat32Array
- toFloat64Array
- toJSON
- transformPoint
- translate
- translateSelf

## Properties

### DOMMatrixReadOnly

DOMMatrixReadOnly: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3611

#### Type declaration

- ##### constructor: function

  - new __type(init?: string | number[]): DOMMatrixReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3612

    #### Parameters

    - ##### Optional init: string | number[]

    #### Returns DOMMatrixReadOnly

- ##### prototype: DOMMatrixReadOnly

- ##### fromFloat32Array: function

  - fromFloat32Array(array32: Float32Array): DOMMatrixReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3614

    #### Parameters

    - ##### array32: Float32Array

    #### Returns DOMMatrixReadOnly

- ##### fromFloat64Array: function

  - fromFloat64Array(array64: Float64Array): DOMMatrixReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3615

    #### Parameters

    - ##### array64: Float64Array

    #### Returns DOMMatrixReadOnly

- ##### fromMatrix: function

  - fromMatrix(other?: DOMMatrixInit): DOMMatrixReadOnly
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3616

    #### Parameters

    - ##### Optional other: DOMMatrixInit

    #### Returns DOMMatrixReadOnly

### a

a: number

Overrides DOMMatrixReadOnly.a

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3518

### b

b: number

Overrides DOMMatrixReadOnly.b

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3519

### c

c: number

Overrides DOMMatrixReadOnly.c

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3520

### d

d: number

Overrides DOMMatrixReadOnly.d

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3521

### e

e: number

Overrides DOMMatrixReadOnly.e

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3522

### f

f: number

Overrides DOMMatrixReadOnly.f

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3523

### is2D

is2D: boolean

Inherited from DOMMatrixReadOnly.is2D

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3575

### isIdentity

isIdentity: boolean

Inherited from DOMMatrixReadOnly.isIdentity

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3576

### m11

m11: number

Overrides DOMMatrixReadOnly.m11

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3524

### m12

m12: number

Overrides DOMMatrixReadOnly.m12

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3525

### m13

m13: number

Overrides DOMMatrixReadOnly.m13

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3526

### m14

m14: number

Overrides DOMMatrixReadOnly.m14

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3527

### m21

m21: number

Overrides DOMMatrixReadOnly.m21

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3528

### m22

m22: number

Overrides DOMMatrixReadOnly.m22

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3529

### m23

m23: number

Overrides DOMMatrixReadOnly.m23

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3530

### m24

m24: number

Overrides DOMMatrixReadOnly.m24

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3531

### m31

m31: number

Overrides DOMMatrixReadOnly.m31

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3532

### m32

m32: number

Overrides DOMMatrixReadOnly.m32

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3533

### m33

m33: number

Overrides DOMMatrixReadOnly.m33

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3534

### m34

m34: number

Overrides DOMMatrixReadOnly.m34

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3535

### m41

m41: number

Overrides DOMMatrixReadOnly.m41

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3536

### m42

m42: number

Overrides DOMMatrixReadOnly.m42

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3537

### m43

m43: number

Overrides DOMMatrixReadOnly.m43

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3538

### m44

m44: number

Overrides DOMMatrixReadOnly.m44

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3539

## Methods

### flipX

- flipX(): DOMMatrix

- Inherited from DOMMatrixReadOnly.flipX

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3593

  #### Returns DOMMatrix

### flipY

- flipY(): DOMMatrix

- Inherited from DOMMatrixReadOnly.flipY

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3594

  #### Returns DOMMatrix

### inverse

- inverse(): DOMMatrix

- Inherited from DOMMatrixReadOnly.inverse

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3595

  #### Returns DOMMatrix

### invertSelf

- invertSelf(): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3540

  #### Returns DOMMatrix

### multiply

- multiply(other?: DOMMatrixInit): DOMMatrix

- Inherited from DOMMatrixReadOnly.multiply

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3596

  #### Parameters

  - ##### Optional other: DOMMatrixInit

  #### Returns DOMMatrix

### multiplySelf

- multiplySelf(other?: DOMMatrixInit): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3541

  #### Parameters

  - ##### Optional other: DOMMatrixInit

  #### Returns DOMMatrix

### preMultiplySelf

- preMultiplySelf(other?: DOMMatrixInit): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3542

  #### Parameters

  - ##### Optional other: DOMMatrixInit

  #### Returns DOMMatrix

### rotate

- rotate(rotX?: undefined | number, rotY?: undefined | number, rotZ?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.rotate

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3597

  #### Parameters

  - ##### Optional rotX: undefined | number

  - ##### Optional rotY: undefined | number

  - ##### Optional rotZ: undefined | number

  #### Returns DOMMatrix

### rotateAxisAngle

- rotateAxisAngle(x?: undefined | number, y?: undefined | number, z?: undefined | number, angle?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.rotateAxisAngle

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3598

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  - ##### Optional z: undefined | number

  - ##### Optional angle: undefined | number

  #### Returns DOMMatrix

### rotateAxisAngleSelf

- rotateAxisAngleSelf(x?: undefined | number, y?: undefined | number, z?: undefined | number, angle?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3543

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  - ##### Optional z: undefined | number

  - ##### Optional angle: undefined | number

  #### Returns DOMMatrix

### rotateFromVector

- rotateFromVector(x?: undefined | number, y?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.rotateFromVector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3599

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  #### Returns DOMMatrix

### rotateFromVectorSelf

- rotateFromVectorSelf(x?: undefined | number, y?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3544

  #### Parameters

  - ##### Optional x: undefined | number

  - ##### Optional y: undefined | number

  #### Returns DOMMatrix

### rotateSelf

- rotateSelf(rotX?: undefined | number, rotY?: undefined | number, rotZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3545

  #### Parameters

  - ##### Optional rotX: undefined | number

  - ##### Optional rotY: undefined | number

  - ##### Optional rotZ: undefined | number

  #### Returns DOMMatrix

### scale

- scale(scaleX?: undefined | number, scaleY?: undefined | number, scaleZ?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.scale

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3600

  #### Parameters

  - ##### Optional scaleX: undefined | number

  - ##### Optional scaleY: undefined | number

  - ##### Optional scaleZ: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### scale3d

- scale3d(scale?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.scale3d

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3601

  #### Parameters

  - ##### Optional scale: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### scale3dSelf

- scale3dSelf(scale?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3546

  #### Parameters

  - ##### Optional scale: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### scaleSelf

- scaleSelf(scaleX?: undefined | number, scaleY?: undefined | number, scaleZ?: undefined | number, originX?: undefined | number, originY?: undefined | number, originZ?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3547

  #### Parameters

  - ##### Optional scaleX: undefined | number

  - ##### Optional scaleY: undefined | number

  - ##### Optional scaleZ: undefined | number

  - ##### Optional originX: undefined | number

  - ##### Optional originY: undefined | number

  - ##### Optional originZ: undefined | number

  #### Returns DOMMatrix

### setMatrixValue

- setMatrixValue(transformList: string): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3548

  #### Parameters

  - ##### transformList: string

  #### Returns DOMMatrix

### skewX

- skewX(sx?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.skewX

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3602

  #### Parameters

  - ##### Optional sx: undefined | number

  #### Returns DOMMatrix

### skewXSelf

- skewXSelf(sx?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3549

  #### Parameters

  - ##### Optional sx: undefined | number

  #### Returns DOMMatrix

### skewY

- skewY(sy?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.skewY

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3603

  #### Parameters

  - ##### Optional sy: undefined | number

  #### Returns DOMMatrix

### skewYSelf

- skewYSelf(sy?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3550

  #### Parameters

  - ##### Optional sy: undefined | number

  #### Returns DOMMatrix

### toFloat32Array

- toFloat32Array(): Float32Array

- Inherited from DOMMatrixReadOnly.toFloat32Array

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3604

  #### Returns Float32Array

### toFloat64Array

- toFloat64Array(): Float64Array

- Inherited from DOMMatrixReadOnly.toFloat64Array

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3605

  #### Returns Float64Array

### toJSON

- toJSON(): any

- Inherited from DOMMatrixReadOnly.toJSON

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3606

  #### Returns any

### transformPoint

- transformPoint(point?: DOMPointInit): DOMPoint

- Inherited from DOMMatrixReadOnly.transformPoint

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3607

  #### Parameters

  - ##### Optional point: DOMPointInit

  #### Returns DOMPoint

### translate

- translate(tx?: undefined | number, ty?: undefined | number, tz?: undefined | number): DOMMatrix

- Inherited from DOMMatrixReadOnly.translate

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3608

  #### Parameters

  - ##### Optional tx: undefined | number

  - ##### Optional ty: undefined | number

  - ##### Optional tz: undefined | number

  #### Returns DOMMatrix

### translateSelf

- translateSelf(tx?: undefined | number, ty?: undefined | number, tz?: undefined | number): DOMMatrix

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3551

  #### Parameters

  - ##### Optional tx: undefined | number

  - ##### Optional ty: undefined | number

  - ##### Optional tz: undefined | number

  #### Returns DOMMatrix

Generated using TypeDoc